Subject: Re: Technical quandry, regarding carried objects

From: Ken Schalk <[email-masked]>
Date: Sun, 24 Jan 1993 19:57:33 -0800

Well, certianly a modification of the core or a new 'transparent'
player class would make this possible, but I have no power to do the
former (and I'd rather not call for such drastic measures), and the
latter would only be useful if everyone would @chparent to it (which
seems unlikely).  I'd rather have some more general way to do this,
but as I said, it seems unlikely that there is a simple, elegant one.

    One other kludgey hack did occur to me in the interim.  It might
be possible to create an object which would contain a single other
object and take on all the outward appearances of it as well as making
it appear to the contained object that it was in the location of this
'shell' object.  (This would require a fair amount of careful hacking,
but I think it might be possible, but then I haven't given it
extensive thought.)  Then, when a player activated the 'get' verb on
the puppet object, they could be transparently put inside of this
'shell' and then removed from it when they drop the puppet.  Then, the
shell could relay what goes on in the room both to the player and to
the puppet.  (This solution would, unfortunately, still require the
use of another object in addition to the puppet.)

//////////////////////////////////////////////////////////////////////
\\ Kenneth C Schalk \\\\"Is conciousness just a special form of \\\\\\  //-\
//(aka Xorian@Lambda)///  hallucination?" -- Frank Herbert      ////// //-O|
\\ [email-masked] \\\\\\\\"We're each other fragments...but each  \\\\\\ |   |
// [email-masked] / fragment reveals the [whole] from a    //////  \_/
\\ [email-masked] \\\ different angle..." -- William Gibson  \\\\\\
//////////////////////////////////////////////////////////////////////